# Uses of Class
org.eclipse.zest.layouts.InvalidLayoutConfiguration

Packages that use InvalidLayoutConfiguration
Package
Description
org.eclipse.zest.layouts
org.eclipse.zest.layouts.algorithms

## Uses of InvalidLayoutConfiguration in org.eclipse.zest.layouts

Methods in org.eclipse.zest.layouts that throw InvalidLayoutConfiguration
Modifier and Type
Method
Description
`void`
LayoutAlgorithm.Zest1.`applyLayout(LayoutEntity[] entitiesToLayout, LayoutRelationship[] relationshipsToConsider, double x, double y, double width, double height, boolean asynchronous, boolean continuous)`
Deprecated, for removal: This API element is subject to removal in a future version.
Apply the layout to the given entities.

## Uses of InvalidLayoutConfiguration in org.eclipse.zest.layouts.algorithms

Methods in org.eclipse.zest.layouts.algorithms that throw InvalidLayoutConfiguration
Modifier and Type
Method
Description
`void`
AbstractLayoutAlgorithm.Zest1.`applyLayout(LayoutEntity[] entitiesToLayout, LayoutRelationship[] relationshipsToConsider, double x, double y, double width, double height, boolean asynchronous, boolean continuous)`
Deprecated, for removal: This API element is subject to removal in a future version.
This actually applies the layout